[types]
.pas=Pascal
.dpr=Pascal
.dpk=Pascal
.int=Pascal
.inc=Pascal
.dfm=Form
.cpp=cpp
.hpp=cpp
.c=cpp
.h=cpp
.idl=Idl
.cs=cpp

[Pascal]
Comments=3
StringDelim=0

[PascalWords]
and=1
array=1
as=1
asm=1
begin=1
case=1
class=1
const=1
constructor=1
destructor=1
dispinterface=1
div=1
do=1
downto=1
else=1
end=1
except=1
exports=1
file=1
finalization=1
finally=1
for=1
function=1
goto=1
if=1
implementation=1
in=1
inherited=1
initialization=1
inline=1
interface=1
is=1
label=1
library=1
mod=1
nil=1
not=1
object=1
of=1
or=1
out=1
packed=1
procedure=1
program=1
property=1
raise=1
record=1
repeat=1
resourcestring=1
set=1
shl=1
shr=1
string=1
then=1
threadvar=1
to=1
try=1
type=1
unit=1
until=1
uses=1
var=1
while=1
with=1
xor=1
absolute=1
abstract=1
assembler=1
automated=1
cdecl=1
contains=1
default=1
dispid=1
dynamic=1
export=1
external=1
far=1
forward=1
implements=1
index=1
message=1
name=1
near=1
nodefault=1
overload=1
override=1
package=1
pascal=1
private=1
protected=1
public=1
published=1
read=1
readonly=1
register=1
reintroduce=1
requires=1
resident=1
safecall=1
stdcall=1
stored=1
virtual=1
write=1
writeonly=1

[Cpp]
Comments=4
StringDelim=1
EnableDirective=1

[CppWords]
__asm=1
_asm=1
asm=1
auto=1
__automated=1
break=1
bool=1
case=1
catch=1
__cdecl=1
_cdecl=1
cdecl=1
char=1
class=1
__classid=1
__closure=1
const=1
const_cast=1
continue=1
__declspec=1
default=1
delete=1
__dispid=1
do=1
double=1
dynamic_cast=1
else=1
enum=1
__except=1
explicit=1
_export=1
__export=1
extern=1
false=1
__fastcall=1
_fastcall=1
__finally=1
float=1
for=1
friend=1
goto=1
if=1
__import=1
_import=1
inline=1
int=1
__int8=1
__int16=1
__int32=1
__int64=1
long=1
mutable=1
namespace=1
new=1
operator=1
__pascal=1
_pascal=1
pascal=1
private=1
protected=1
__property=1
public=1
__published=1
register=1
reinterpret_cast=1
return=1
__rtti=1
short=1
signed=1
sizeof=1
static=1
static_cast=1
__stdcall=1
_stdcall=1
struct=1
switch=1
template=1
this=1
__thread=1
throw=1
true=1
__try=1
try=1
typedef=1
typename=1
typeid=1
union=1
using=1
unsigned=1
virtual=1
void=1
volatile=1
wchar_t=1
while=1

[Form]
Comments=3
StringDelim=0

[FormWords]
Object=1
inherited=1
inline=1
end=1

[IDL]
Comments=5
StringDelim=1
EnableDirective=1

[IDLWords]
arrays=1
boolean=1
byte=1
callback=1
char=1
coclass=1
const=1
default=1
defaultbind=1
defaultvalue=1
dispinterface=1
double=1
dual=1
enum=1
float=1
handle=1
helpcontext=1
helpfile=1
helpstring=1
hidden=1
id=1
IDL=1
ignore=1
iid_is=1
import=1
importlib=1
in=1
include=1
in_line=1
int=1
__int64=1
interface=1
lcid=1
library=1
long=1
module=1
object=1
oleautomation=1
optional=1
out=1
propget=1
propput=1
propputref=1
public=1
readonly=1
restricted=1
retval=1
short=1
signed=1
size_is=1
string=1
typedef=1
union=1
unique=1
unsigned=1
uuid=1
version=1
void=1

